#include <p18f4550.h>

#include "PCF8574.h"

#pragma config FOSC = HS
#pragma config WDT = OFF
#pragma config LVP = OFF
#pragma config PBADEN = OFF

//OSC = HS Impostato per lavorare ad alta frequenza
//WDT = OFF Disabilito il watchdog timer
//LVP = OFF Disabilito programmazione LVP
//PBADEN = OFF Disabilito gli ingressi analogici


void main (void){
	// Variabile per salvare il dato di ritorno
	unsigned char data = 0;

	// Imposto PORTA tutti ingressi
	LATA = 0x00;
	TRISA = 0xFF;

	// Imposto PORTB tutti ingressi
	LATB = 0x00;
	TRISB = 0xFF;

	// Imposto PORTC tutti ingressi, RC1 come output
	LATC = 0x00;
	TRISC = 0b11111101;

	// Imposto PORTD tutte uscite
	LATD = 0x00;
	TRISD = 0x00;

	// Imposto PORTE tutti ingressi
	LATE = 0x00;
	TRISE = 0xFF;


	// Inizializza il modulo I2C a 100KHz @20MHz
	OpenI2C(MASTER, SLEW_OFF);
	SSPADD = 49;

	while (1) {

	PCF8574_write_data (0x40, 0b11111011);

	PCF8574_read_data (0x40, &data);

	LATD = data;

	}

}